SOURCES (AC-branch): quagga-bgpd.init, quagga-ospf6d.init, quagga-...

arekm arekm at pld-linux.org
Sun Feb 5 11:59:40 CET 2006


Author: arekm                        Date: Sun Feb  5 10:59:40 2006 GMT
Module: SOURCES                       Tag: AC-branch
---- Log message:
- sync with head

---- Files affected:
SOURCES:
   quagga-bgpd.init (1.2 -> 1.2.2.1) , quagga-ospf6d.init (1.2 -> 1.2.2.1) , quagga-ospfd.init (1.2 -> 1.2.2.1) , quagga-ripd.init (1.2 -> 1.2.2.1) , quagga-ripngd.init (1.2 -> 1.2.2.1) , quagga-zebra.init (1.3 -> 1.3.2.1) 

---- Diffs:

================================================================
Index: SOURCES/quagga-bgpd.init
diff -u SOURCES/quagga-bgpd.init:1.2 SOURCES/quagga-bgpd.init:1.2.2.1
--- SOURCES/quagga-bgpd.init:1.2	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-bgpd.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# bgpd		Starts the Dynamic Route Daemon 
+# bgpd		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 16 84
+# chkconfig:	345 15 84
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down bgpd
 		exit 1
 	fi

================================================================
Index: SOURCES/quagga-ospf6d.init
diff -u SOURCES/quagga-ospf6d.init:1.2 SOURCES/quagga-ospf6d.init:1.2.2.1
--- SOURCES/quagga-ospf6d.init:1.2	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-ospf6d.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# ospf6d		Starts the Dynamic Route Daemon 
+# ospf6d		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 16 84
+# chkconfig:	345 15 84
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down ospf6d
 		exit 1
 	fi
@@ -40,7 +39,7 @@
                 [ -n "$VTY_ADDR" ] && FLAGS="$FLAGS --vty_addr $VTY_ADDR"
                 [ -n "$VTY_PORT" ] && FLAGS="$FLAGS --vty_port $VTY_PORT"
 		msg_starting ospf6d
-		daemon ospf6d $FLAGS 
+		daemon ospf6d $FLAGS
 		RETVAL=$?
 		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/ospf6d
 	else

================================================================
Index: SOURCES/quagga-ospfd.init
diff -u SOURCES/quagga-ospfd.init:1.2 SOURCES/quagga-ospfd.init:1.2.2.1
--- SOURCES/quagga-ospfd.init:1.2	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-ospfd.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# ospfd		Starts the Dynamic Route Daemon 
+# ospfd		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 16 84
+# chkconfig:	345 15 84
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down ospfd
 		exit 1
 	fi
@@ -40,7 +39,7 @@
                 [ -n "$VTY_ADDR" ] && FLAGS="$FLAGS --vty_addr $VTY_ADDR"
                 [ -n "$VTY_PORT" ] && FLAGS="$FLAGS --vty_port $VTY_PORT"
 		msg_starting ospfd
-		daemon ospfd $FLAGS 
+		daemon ospfd $FLAGS
 		RETVAL=$?
 		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/ospfd
 	else

================================================================
Index: SOURCES/quagga-ripd.init
diff -u SOURCES/quagga-ripd.init:1.2 SOURCES/quagga-ripd.init:1.2.2.1
--- SOURCES/quagga-ripd.init:1.2	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-ripd.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# ripd		Starts the Dynamic Route Daemon 
+# ripd		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 16 84
+# chkconfig:	345 15 84
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down ripd
 		exit 1
 	fi
@@ -40,8 +39,8 @@
 		is_yes "$RETAIN_ROUTES" && FLAGS="$FLAGS --retain"
                 [ -n "$VTY_ADDR" ] && FLAGS="$FLAGS --vty_addr $VTY_ADDR"
                 [ -n "$VTY_PORT" ] && FLAGS="$FLAGS --vty_port $VTY_PORT"
-		msg_starting ripd 
-		daemon ripd $FLAGS 
+		msg_starting ripd
+		daemon ripd $FLAGS
 		RETVAL=$?
 		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/ripd
 	else

================================================================
Index: SOURCES/quagga-ripngd.init
diff -u SOURCES/quagga-ripngd.init:1.2 SOURCES/quagga-ripngd.init:1.2.2.1
--- SOURCES/quagga-ripngd.init:1.2	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-ripngd.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# ripngd		Starts the Dynamic Route Daemon 
+# ripngd		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 16 84
+# chkconfig:	345 15 84
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down ripngd
 		exit 1
 	fi
@@ -41,7 +40,7 @@
                 [ -n "$VTY_ADDR" ] && FLAGS="$FLAGS --vty_addr $VTY_ADDR"
                 [ -n "$VTY_PORT" ] && FLAGS="$FLAGS --vty_port $VTY_PORT"
 		msg_starting ripngd
-		daemon ripngd $FLAGS 
+		daemon ripngd $FLAGS
 		RETVAL=$?
 		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/ripngd
 	else

================================================================
Index: SOURCES/quagga-zebra.init
diff -u SOURCES/quagga-zebra.init:1.3 SOURCES/quagga-zebra.init:1.3.2.1
--- SOURCES/quagga-zebra.init:1.3	Thu May  5 15:41:42 2005
+++ SOURCES/quagga-zebra.init	Sun Feb  5 11:59:35 2006
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# zebra		Starts the Dynamic Route Daemon 
+# zebra		Starts the Dynamic Route Daemon
 #
-# chkconfig:	345 15 85
+# chkconfig:	345 13 85
 #
 # description:	Dynamic Route Daemon for IPv4 and IPv6 routers
 #
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
 	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-		# nls "ERROR: Networking is down. %s can't be run." <service>
 		msg_network_down zebra
 		exit 1
 	fi
@@ -69,6 +68,27 @@
   restart|force-reload)
 	$0 stop
 	$0 start
+	R=$?
+	if [ $R -eq 0 ]; then
+		if [ -f /var/lock/subsys/bgpd ]; then
+			/etc/rc.d/init.d/bgpd "$1"
+		fi
+		if [ -f /var/lock/subsys/isisd ]; then
+			/etc/rc.d/init.d/isisd "$1"
+		fi
+		if [ -f /var/lock/subsys/ospfd ]; then
+			/etc/rc.d/init.d/ospfd "$1"
+		fi
+		if [ -f /var/lock/subsys/ospf6d ]; then
+			/etc/rc.d/init.d/ospf6d "$1"
+		fi
+		if [ -f /var/lock/subsys/ripd ]; then
+			/etc/rc.d/init.d/ripd "$1"
+		fi
+		if [ -f /var/lock/subsys/ripngd ]; then
+			/etc/rc.d/init.d/ripngd "$1"
+		fi
+	fi
 	exit $?
 	;;
   *)
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/quagga-bgpd.init?r1=1.2&r2=1.2.2.1&f=u
    http://cvs.pld-linux.org/SOURCES/quagga-ospf6d.init?r1=1.2&r2=1.2.2.1&f=u
    http://cvs.pld-linux.org/SOURCES/quagga-ospfd.init?r1=1.2&r2=1.2.2.1&f=u
    http://cvs.pld-linux.org/SOURCES/quagga-ripd.init?r1=1.2&r2=1.2.2.1&f=u
    http://cvs.pld-linux.org/SOURCES/quagga-ripngd.init?r1=1.2&r2=1.2.2.1&f=u
    http://cvs.pld-linux.org/SOURCES/quagga-zebra.init?r1=1.3&r2=1.3.2.1&f=u



More information about the pld-cvs-commit mailing list